TwitRocker2 - twitter client application for the next generation.

TwitRocker2 is a full-featured Twitter client for the next generation. The simple, powerful and flexible user interface makes it very easy for you to operate for a lot of twitter tasks.

Best iPad application for twitter - Sync different.

TwitRocker2 is the world's first twitter client supporting timelines sync via iCloud!

TwitRocker2 for Android

Android version is also available now!! TwitRocker2 for Android has access to only "Network communication". So you can make use of TwitRocker2 with a sense of security.

App Feature Highlights: everything you need in TwitRocker!

Sync different.Timeline Sync

TwitRocker2 is the world's first twitter client supporting timelines sync via iCloud! Your timelines will be synchronized between iPhone and iPad automatically.

Timelines Lists, saved searches

You can access your subscribing lists and saved searches with few steps as same as home timeline.

Orientation Landscape support

TwitRocker supports both portrait and landscape orientations completly. You can switch them as you like anytime.

Timeline Setting More flexibility

You can customize auto-refresh interval and visibility per timeline to make your own special list of timelines.

Music and Photo Share your favorites

You can easily share your current playing music or your photos with tweet menu. (Music only for iOS now)

Secure OAuth and HTTPS

TwitRocker uses OAuth and secure connections where possible to encrypt your account information. TwitRocker2 for Android has access to only "Network communication". So you can make use of TwitRocker2 with a sense of security.

iPhone

for iPhone is now available on the App Store.

TwitRocker for iPhone works with the iPhone, iPod touch or iPad running iOS 5.0 or later.

iPad

for iPad is now available on the App Store.

TwitRocker for iPad works with the iPad running iOS 5.0 or later.

Android

for Androidis now available on the Android Market.

TwitRocker for Android works with the device running Android OS 2.2 or later.